function field_focus_plot(W, Qt, myaxes, lambda, ua, uc)

h = linspace(myaxes(3),myaxes(4),200)/uc;
hsq = h.*h;
Qsq = (4/9)*W(1)^2 + hsq.*((2/3)*(W(2))^2 + hsq.*(1/2)*W(3)^2);
A = (4/3)*W(1)+hsq*(W(4)+0.5*W(3));
eps = lambda/ua;
Qtsq = (Qt/(eps))^2;
radical = (Qtsq-Qsq)/2;
idx = find(radical>=0);
zeta = 2*lambda/ua^2;
x = sqrt(radical(idx));
y = h(idx);
m = length(x);
Am = -A(idx);
xp = Am-x;
xp(m+(1:m)) = fliplr(Am + x);
yp = y;
yp(m+(1:m)) = fliplr(y);
plot(xp*zeta,yp*uc,'--k');
hold on;
plot(Am*zeta,y*uc,'k');
hold off;
axis(myaxes);
xlabel('focal shift (mm)');
ylabel('image height (deg)');
